import {
  ResillientChannel
} from "../../chunk-MZOKKD57.js";
import "../../chunk-IQFZHKL7.js";
import "../../chunk-HAYCSTEW.js";
import "../../chunk-MN6STEVR.js";
import "../../chunk-AJ3WFXQE.js";
import {
  DebugChannel
} from "../../chunk-4IJKWHAY.js";
import "../../chunk-QB6NWQKP.js";
import "../../chunk-FTUESMTU.js";
import "../../chunk-MPAXUMZ5.js";
import "../../chunk-ZXCJBTYR.js";
import "../../chunk-PJDBG5VS.js";
import "../../chunk-RRIVLGL4.js";
import "../../chunk-CZZTWTGB.js";
import "../../chunk-AKDX6FMT.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-F2O2EERM.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-EO6XKBST.js";
import "../../chunk-RDQTC3AH.js";
import "../../chunk-QCZA4HNR.js";
import "../../chunk-RG6OSZW5.js";
import "../../chunk-XGHGEMIC.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-5HGOJFJL.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-T7PU5CTZ.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-KQSQJAHU.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-XOOIUMF2.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-M6LJR6SZ.js";
import "../../chunk-NXVGWT4R.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-O4U55KGC.js";
import "../../chunk-4XPO57AQ.js";
import "../../chunk-ACZDEHYB.js";
import "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-AEBHR4XF.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-NS4INNCL.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-R6KULE2F.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VVNSHVPQ.js";
import "../../chunk-6GHO7LQW.js";

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new ResillientChannel();
    rc.postMessage("1");
    const d1 = new DebugChannel();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new DebugChannel();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.js.map