import {
  _LoggerFromConfig
} from "./chunk-ZRXTTISA.js";
import {
  isBrowser
} from "./chunk-LKHGPAZI.js";
import {
  getGlobalLogger
} from "./chunk-EO6XKBST.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-UIKLO6G6.js";
import {
  LoggerBrowserHandler
} from "./chunk-72UGP2AU.js";
import {
  isEmpty
} from "./chunk-NXVGWT4R.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-SJL5CPL5.js.map